<?php
$GLOBALS['title'] = "رپید کد - آموزش اتصال به آیدی پی در PHP";
require_once $_SERVER['DOCUMENT_ROOT'] . "/parts/header.php";

$payment_id = $_GET['id'] ?? null;
$order_id = $_GET['order_id'] ?? null;

$message = [
    "text" => "",
    "css_class" => ""
];


if ($payment_id && $order_id) {
    $res = verifyIdPay($payment_id,$order_id);

    /*
    100	پرداخت تایید شده است
    101	پرداخت قبلا تایید شده است
    200	به دریافت کننده واریز شد
    */

    if (!empty($res['status']) && ($res['status'] == 100 || $res['status'] == 101 || $res['status'] == 200)) {
        $amount = $res['amount'] ?? false;

        $amount_currency = $amount ? " به مبلغ " . $amount/10 . " تومان" : "";
        $order_id_message = $order_id ? " و شماره سفارش {$order_id}" : "";

        $message['text'] = "خرید موفق{$amount_currency}{$order_id_message}";
        $message['css_class'] = "bg-success text-white";
    } else {
        $message['text'] = "خرید ناموفق";
        $message['css_class'] = "bg-danger";
    }
    
} else {
    $message['text'] = "پارامتر نامعتبر";
    $message['css_class'] = "bg-danger";
}

?>

<p class="text-center p-2 rounded fw-bold <?= $message['css_class'] ?>"><?= $message['text'] ?></p>


<?php
require_once $_SERVER['DOCUMENT_ROOT'] . "/parts/footer.php";
?>